from fastapi import APIRouter
from . import event
from . import event_xp
from . import checkin

router = APIRouter()

router.include_router(event.router, prefix="/event", tags=["事件增删改"])
router.include_router(event_xp.router, prefix="/event_xp", tags=["小屏"])

router.include_router(checkin.router, prefix="/checkin", tags=["签到"])