#!/usr/bin/env python3
# -*- coding: utf-8 -*-
from models import *

def get_person_info_by_id(db,id):
    query = db.query(ThreeProofingResponsiblePerson)
    query = query.filter_by(id = id,del_flag = '0')
    return query.first()
def get_person_info_by_user_id(db,user_id):
    query = db.query(ThreeProofingResponsiblePerson)
    query = query.filter_by(user_id = user_id,del_flag = '0')
    return query.first()
def get_type_info_by_id(db,id):
    query = db.query(ThreeProofingResponsibleType)
    query = query.filter_by(id = id,del_flag = '0')
    return query.first()
def get_type_parent_id_by_type_id(db,type_id):
    query = db.query(ThreeProofingResponsibleType)
    query = query.filter_by(id = type_id,del_flag = '0')
    return query.first().type_parent_id

def get_type_id_by_type_parent_id_and_type_name(db,type_parent_id,type_name):
    query = db.query(ThreeProofingResponsibleType)
    query = query.filter_by(type_parent_id = type_parent_id,type_name=type_name,del_flag = '0')
    query = query.first()
    if query:
        return query.id
    return None
def get_other_type_id_by_type_parent_id_and_other_type_name(db,type_parent_id,other_type_name):
    query = db.query(ThreeProofingResponsibleOtherType)
    query = query.filter_by(type_parent_id = type_parent_id,type_name=other_type_name,del_flag = '0')
    query = query.first()
    if query:
        return query.id
    return None

def get_type_parent_id_by_type_list(db,type_parent_id):
    query = db.query(ThreeProofingResponsibleType)
    query = query.filter_by(type_parent_id = type_parent_id,del_flag = '0')
    return query.all()
def get_person_type_by_person_id(db,person_id):
    query = db.query(ThreeProofingResponsiblePersonType)
    query = query.filter_by(person_id = person_id,del_flag = '0')
    return query.all()
def get_person_type_by_person_id_and_type_parent_id(db,person_id,type_parent_id):
    query = db.query(ThreeProofingResponsiblePersonType)
    query = query.filter_by(person_id = person_id,type_parent_id=type_parent_id,del_flag = '0')
    return query.all()
def get_person_other_info_by_person_id(db,person_id):
    query = db.query(ThreeProofingResponsiblePersonOtherInfo)
    query = query.filter_by(person_id = person_id,del_flag = '0')
    return query.all()
def get_person_other_type_by_person_id(db,person_id):
    query = db.query(ThreeProofingResponsiblePersonOtherType)
    query = query.filter_by(person_id = person_id,del_flag = '0')
    return query.all()
def get_other_type_list_by_type_parent_id(db,type_parent_id):
    query = db.query(ThreeProofingResponsibleOtherType)
    query = query.filter_by(type_parent_id = type_parent_id,del_flag = '0')
    return query.all()
def get_person_other_info_by_person_id_and_type_parent_id(db,person_id,type_parent_id):
    query = db.query(ThreeProofingResponsiblePersonOtherInfo)
    query = query.filter_by(person_id = person_id,type_parent_id=type_parent_id,del_flag = '0')
    return query.first()
def get_person_other_type_by_person_id_and_type_parent_id(db,person_id,type_parent_id):
    query = db.query(ThreeProofingResponsiblePersonOtherType)
    query = query.filter_by(person_id = person_id,type_parent_id=type_parent_id,del_flag = '0')
    return query.all()
def get_other_type_info_by_id(db,id):
    query = db.query(ThreeProofingResponsibleOtherType)
    query = query.filter_by(id = id,del_flag = '0')
    return query.first()
def get_person_list_by_type_parent_id(db,type_parent_id):
    query = db.query(ThreeProofingResponsiblePersonType)
    query = query.filter_by(type_parent_id = type_parent_id,del_flag = '0')
    return [info.person_id for info in query.all()]
def get_type_parent_id_by_person_id(db,person_id):
    query = db.query(ThreeProofingResponsiblePersonType)
    query = query.filter_by(person_id=person_id, del_flag='0')
    return [info.type_parent_id for info in query.all()]
def id_get_area_info(db,id):
    query = db.query(GovdataArea)
    query = query.filter(GovdataArea.id == id)
    return query.first()
def get_area_info_by_area_name(db,name):
    query = db.query(GovdataArea)
    query = query.filter(GovdataArea.area_name == name)
    return query.first()
def parent_id_get_area_info(db,parent_id):
    query = db.query(GovdataArea)
    query = query.filter(GovdataArea.parent_id == parent_id)
    return query.all()